| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions | Variables
EVAL-ADT7420.ino File Reference

Exerciser program for adt7420 no-OS driver. More...

## Detailed Description

Exerciser program for adt7420 no-OS driver.

Author
  Gbrisebois (grego.nosp@m.ry.b.nosp@m.riseb.nosp@m.ois@.nosp@m.analo.nosp@m.g.co.nosp@m.m)

Copyright 2017(c) Analog Devices, Inc.

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

- Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
- Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
- Neither the name of Analog Devices, Inc. nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.
- The use of this software may or may not infringe the patent rights of one or more patent holders. This license does not release you from the requirement that you obtain separate licenses from these patent holders to use this software.
- Use of the software either in source or binary form, must be run on or directly connected to an Analog Devices Inc. component.

THIS SOFTWARE IS PROVIDED BY ANALOG DEVICES "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, NON-INFRINGEMENT, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL ANALOG DEVICES BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, INTELLECTUAL PROPERTY RIGHTS, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Definition in file EVAL-ADT7420.ino.

Go to the source code of this file.

## Functions
static void | setup ()
static void | loop ()
static void | print_title ()
static void | print_prompt ()
static uint8_t | menu_1_read_temperature ()
static uint8_t | menu_2_set_resolution ()
static uint8_t | menu_3_set_op_mode ()
static uint8_t | menu_4_bunchoftemps ()
static void | temp_to_code (float temp, uint8_t *msb, uint8_t *lsb, uint8_t resolution)
| Convert a temperature to the code the sensor understands. More...

## Variables
i2c_init_param | i2c_params
adt7420_init_param | init_params
adt7420_dev * | device
static int32_t | connected = SUCCESS

## Function Documentation

## ◆ loop()

static void loop | ( | void |  | ) |
| static

Definition at line 89 of file EVAL-ADT7420.ino.

## ◆ menu_1_read_temperature()

static uint8_t menu_1_read_temperature | ( |  | ) |
| static

Definition at line 162 of file EVAL-ADT7420.ino.

## ◆ menu_2_set_resolution()

static uint8_t menu_2_set_resolution | ( |  | ) |
| static

Definition at line 171 of file EVAL-ADT7420.ino.

## ◆ menu_3_set_op_mode()

static uint8_t menu_3_set_op_mode | ( |  | ) |
| static

Definition at line 195 of file EVAL-ADT7420.ino.

## ◆ menu_4_bunchoftemps()

static uint8_t menu_4_bunchoftemps | ( |  | ) |
| static

Definition at line 233 of file EVAL-ADT7420.ino.

## ◆ print_prompt()

static void print_prompt | ( |  | ) |
| static

Definition at line 147 of file EVAL-ADT7420.ino.

## ◆ print_title()

static void print_title | ( | void |  | ) |
| static

Definition at line 135 of file EVAL-ADT7420.ino.

## ◆ setup()

static void setup | ( | void |  | ) |
| static

Definition at line 68 of file EVAL-ADT7420.ino.

## ◆ temp_to_code()

static void temp_to_code | ( | float | temp,
|  | uint8_t * | msb,
|  | uint8_t * | lsb,
|  | uint8_t | resolution
| ) |  |
| static

Convert a temperature to the code the sensor understands.

Definition at line 268 of file EVAL-ADT7420.ino.

## Variable Documentation

## ◆ connected

int32_t connected = SUCCESS
| static

Definition at line 66 of file EVAL-ADT7420.ino.

## ◆ device

adt7420_dev* device

Definition at line 64 of file EVAL-ADT7420.ino.

## ◆ i2c_params

i2c_init_param i2c_params

Initial value:
=
{
GENERIC_I2C,
0,
100000,
0x48,
}
GENERIC_I2C
Definition: platform_drivers.h:74

Definition at line 50 of file EVAL-ADT7420.ino.

## ◆ init_params

adt7420_init_param init_params

Initial value:
=
{
i2c_params,
0,
}
i2c_params
i2c_init_param i2c_params
Definition: EVAL-ADT7420.ino:50

Definition at line 58 of file EVAL-ADT7420.ino.